The Redaction Job Validation Error objectPreview

Attributes

  • idstring

    Unique identifier for the object.

  • objectstring

    String representing the object’s type. Objects of the same type share the same value.

  • codeenum

    A code indicating the reason for the error.

    Possible enum values
    invalid_cascading_source

    The object is not redactable because of a related object’s existing state. Refer to the message prop for more context.

    invalid_file_purpose

    The object’s related file is not redactable. Refer to the message prop for more context.

    invalid_state

    The object is not redactable because of its own existing state. Refer to the message prop for more context.

    locked_by_other_job

    The object is currently used in another redaction job. Cancel the other job to resolve this error.

    too_many_objects

    Your job is trying to redact too many objects. Cancel this job and reduce the number of IDs in the Redaction Job’s objects prop in a new job. If this error persists, reach out to support.

  • erroring_objectnullable object

    If the error is related to a specific object, this field includes the object’s identifier and object type.

  • messagestring

    A human-readable message providing more details about the error.

The Redaction Job Validation Error object
{
"id": "prjve_123",
"object": "privacy.redaction_job_validation_error",
"code": "invalid_state",
"erroring_object": {
"id": "pi_123",
"object_type": "payment_intent"
},
"message": "PaymentIntent is not finalized. Confirm or cancel the payment intent."
}

List all validation errors

Returns a list of validation errors for the specified redaction job.

Parameters

  • jobstringRequired

    RedactionJob object identifier

More parameters

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

Returns a list of RedactionJob validation error objects.

GET /v1/privacy/redaction_jobs/:id/validation_errors
curl https://api.stripe.com/v1/privacy/redaction_jobs/prj_123/validation_errors \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-H "Stripe-Version: 2025-05-28.basil"
Response
{
"object": "list",
"url": "/v1/privacy/redaction_jobs/prj_123/validation_errors",
"has_more": false,
"data": [
{
"id": "prjve_123",
"object": "privacy.redaction_job_validation_error",
"code": "invalid_state",
"erroring_object": {
"id": "pi_123",
"object_type": "payment_intent"
},
"message": "PaymentIntent is not finalized. Confirm or cancel the payment intent."
}
]
}